Creates a cache instance in a specified bucket.
Required permissions
The authenticated user must have the storage.anywhereCaches.create IAM permission on the bucket to use this method.
Request
HTTP request
POST https://storage.googleapis.com/storage/v1/b/bucket/anywhereCaches
In addition to standard query parameters, the following query parameters apply to this method.
To see an example of how to include query parameters in a request, see the JSON API Overview page.
Parameters
| Parameter name | Value | Description |
|---|---|---|
| Path parameters | ||
bucket |
string |
Name of a bucket. |
Request body
In the request body, supply an AnywhereCache resource with the following properties:
| Property name | Value | Description | Notes |
|---|---|---|---|
| Required Properties | |||
zone |
string |
The zone that the cache instance will run in. | |
| Optional Properties | |||
ttl |
string |
The time to live (TTL) of data in the cache, in seconds. Values can be expressed in
seconds. For example: 70000s for 70,000 seconds. If not specified, defaults
to 86400s, which equates to 1 day. |
writable |
ingestOnWrite |
boolean |
Whether or not the cache ingests data as the data is written to the bucket. | writable |
Response
If successful, this method returns a
google.longrunning.Operation in the response body.
Try it!
Use the APIs Explorer below to call this method on live data and see the response.